---------------------
PatchSet 4006 
Date: 2002/04/13 18:41:21
Author: serassio
Branch: cygwin-svc
Tag: (none) 
Log:
Some WIN32 code cleanup

Members: 
	src/main.c:1.12.2.12.2.11->1.12.2.12.2.12 
	src/fs/aufs/store_dir_aufs.c:1.6.10.4.2.7->1.6.10.4.2.8 

Index: squid/src/main.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/main.c,v
retrieving revision 1.12.2.12.2.11
retrieving revision 1.12.2.12.2.12
diff -u -r1.12.2.12.2.11 -r1.12.2.12.2.12
--- squid/src/main.c	16 Mar 2002 09:42:08 -0000	1.12.2.12.2.11
+++ squid/src/main.c	13 Apr 2002 18:41:21 -0000	1.12.2.12.2.12
@@ -1,6 +1,6 @@
 
 /*
- * $Id: main.c,v 1.12.2.12.2.11 2002/03/16 09:42:08 serassio Exp $
+ * $Id: main.c,v 1.12.2.12.2.12 2002/04/13 18:41:21 serassio Exp $
  *
  * DEBUG: section 1     Startup and Main Loop
  * AUTHOR: Harvest Derived
@@ -877,15 +877,21 @@
 	    WIN32_sendSignal(opt_send_signal);
 	else {
 #endif
+#ifdef _SQUID_MSWIN_
+	    fprintf(stderr, "%s: ERROR: Could not send ", appname);
+	    fprintf(stderr, "signal to Squid Service:\n");
+	    fprintf(stderr, "missing -n command line switch.\n");
+#else	    
 	if (kill(pid, opt_send_signal) &&
 	/* ignore permissions if just running check */
 	    !(opt_send_signal == 0 && errno == EPERM)) {
 	    fprintf(stderr, "%s: ERROR: Could not send ", appname);
 	    fprintf(stderr, "signal %d to process %d: %s\n",
 		opt_send_signal, (int) pid, xstrerror());
+#endif
 	    exit(1);
 	}
-#if defined(USE_WIN32_SERVICE) && (defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_))
+#if defined(USE_WIN32_SERVICE) && defined(_SQUID_CYGWIN_)
 	}
 #endif
     } else {
Index: squid/src/fs/aufs/store_dir_aufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/aufs/store_dir_aufs.c,v
retrieving revision 1.6.10.4.2.7
retrieving revision 1.6.10.4.2.8
diff -u -r1.6.10.4.2.7 -r1.6.10.4.2.8
--- squid/src/fs/aufs/store_dir_aufs.c	16 Mar 2002 10:47:15 -0000	1.6.10.4.2.7
+++ squid/src/fs/aufs/store_dir_aufs.c	13 Apr 2002 18:41:21 -0000	1.6.10.4.2.8
@@ -862,7 +862,7 @@
     char *new_path = xstrdup(storeAufsDirSwapLogFile(sd, ".new"));
     int fd;
     file_close(aioinfo->swaplog_fd);
-#if defined(_SQUID_OS2_) || defined (_SQUID_CYGWIN_) || defined(_SQUID_MSWIN_)
+#if defined (_SQUID_OS2_) || defined (_SQUID_CYGWIN_)
     if (unlink(swaplog_path) < 0) {
 	debug(50, 0) ("%s: %s\n", swaplog_path, xstrerror());
 	fatal("storeAufsDirCloseTmpSwapLog: unlink failed");
@@ -1062,7 +1062,7 @@
     fd = state->fd;
     /* rename */
     if (state->fd >= 0) {
-#if defined(_SQUID_OS2_) || defined (_SQUID_CYGWIN_) || defined(_SQUID_MSWIN_)
+#if defined(_SQUID_OS2_) || defined (_SQUID_CYGWIN_)
 	file_close(state->fd);
 	state->fd = -1;
 	if (unlink(state->cur) < 0)
